[分享]我的Ubuntu Dapper

为当前最终发行版之前的所有版本提供支持
回复
lugia249
帖子: 6
注册时间: 2006-06-03 23:52
送出感谢: 0
接收感谢: 0

[分享]我的Ubuntu Dapper

#1

帖子 lugia249 » 2006-06-17 23:43

个人感觉Linux可以在很大程度上实现我们在windows里的日常应用,而我安装Linux是为了学习,娱乐和工作方面还是留在windows里面。估计有很多朋友的情况也跟我一样,因此我就把我对Dapper的调整写出来与大家分享一下。

我是通过硬盘安装ubuntu 6.06 alternate。装好后很高兴的看到了Firefox 1.5,但有一个很大的问题是scim无法使用,于是用Synaptic把中文语言包安装进来(我在系统安装过程中没有下载语言支持)。终于能用中文输入了。

ubuntu默认不安装mp3解码器,没有音乐的世界实在令人难以忍受。把Synaptic中的软件包列表加上universe,support等,更新列表,安装gstreamer。

在本机环境编译是安装软件的最佳办法。但是用make install安装新软件,不一定能用make uninstall保证完全删除。最好能做成一个deb包,方便安装管理。checkinstall就是这样的一个好工具。编译安装checkinstall后立刻可把它自身做成deb包,重新安装就可以在Synaptic里面看到了。

Gaim要通过插件openq支持qq协议进行即时通讯,需要编译安装,安装之前应先给openq源代码打补丁以支持qq2006通讯协议。

stardict是很优秀的电子词典,关键在于它有众多的非加密词典库支持,每个人都可以定制出一个适合自己需要的词典。编译安装stardict,下载需要的词典放置于相应目录即可使用。

firefox没有flash插件,需要安装flash player for linux。

另外,gcc,g++这些编译工具ubuntu默认也装得不完整,*-dev-*,lib*等编译库也通常被要求安装,不过需要时安装也不晚。

然而,phtoshop,mathimatica等软件实在没有好的linux替代品,该用到时不得不重回windows,对于open office也担心其文件格式的通用性。这些还有待我们千千万万的开源工作者们艰苦努力!
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 zhan » 2006-06-18 1:25

多谢兄弟的共享。
关于多媒体的问题可以参照 6.06版的置顶来解决
一般的软件源里面都是有的,所以真正需要自己编译的不多。另外关于 gaim的qq问题,完全可以安装源中的 gaim,再去网上找个 openq的 deb 包就行了。
stardict的词典和词库源中都是有的,可以直接 apt安装。
编译工具确实装的不完整。当然没有编程或者开发的相应需要也可以不装。
photoshop的话,楼主兄弟可以试一下 gimp,不会比 ps差,另外 mathimatica 的话,也还是有可以替代的软件的。数学计算方面的有 scilab gnuplot maxima octave等等,兄弟要是有兴趣的话可以试一下。
其实兄弟可以看看wiki,其中有装系统之后的详细的设置步骤。很方便的,顺便给个链接
http://wiki.ubuntu.org.cn/%E5%BF%AB%E9% ... apperDrake
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
回复

回到 “老旧版本支持”